# $Revision: 1.35 $, $Date: 2010/08/21 19:08:10 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB
%define		_subclass	QueryTool
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - an OO-interface for easily retrieving and modifying data in a DB
Summary(pl.UTF-8):	%{_pearname} - obiektowy interfejs do odczytywania i modyfikowania danych w DB
Name:		php-pear-%{_pearname}
Version:	1.2.2
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9515d0b39d3359e85554a93864df23ca
URL:		http://pear.php.net/package/MDB_QueryTool/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1
Requires:	php-pear
Requires:	php-pear-Log >= 1.7
Requires:	php-pear-MDB
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(MDB.*)' 'pear(MDB2.*)'

%description
This package is an OO-abstraction to the SQL-Query language, it
provides methods such as setWhere, setOrder, setGroup, setJoin, etc.
to easily build queries. It also provides an easy to learn interface
that interacts nicely with HTML-forms using arrays that contain the
column data, that shall be updated/added in a DB. This package bases
on an SQL-Builder which lets you easily build SQL-Statements and
execute them. NB: this is just a MDB porting from the original
DB_QueryTool written by Wolfram Kriesing and Paolo Panto
(vision:produktion, wk@visionp.de).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet to obiektowo zorientowana abstrakcja dla języka zapytań
SQL, udostępniająca metody takie jak setWhere, setOrder, setGroup,
setJoin itp. do łatwego tworzenia zapytań. Udostępnia on także łatwy
do nauczenia się interfejs współpracujący z HTML-forms przy użyciu
tablic zawierających dane z kolumn, które mają być uaktualnione/dodane
do bazy. Ten pakiet bazuje na SQL-Builderze, który pozwala na łatwe
tworzenie i wykonywanie instrukcji SQL. Ta klasa jest portem z
oryginalnej DB_QueryTool napisanej przez Wolframa Kriesinga i Paolo
Panto (vision:produktion, wk@visionp.de).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB_QueryTool.spec,v $
Revision 1.35  2010/08/21 19:08:10  glen
- updated deps with pearize.sh
- release 2

Revision 1.34  2010/08/20 13:00:49  glen
- updated to: 1.2.2

Revision 1.33  2008/01/31 12:16:08  glen
- rel 2

Revision 1.32  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.30  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/05/19 19:06:42  glen
- 1.1.1

Revision 1.28  2006/04/10 18:29:54  glen
- 1.1.0

Revision 1.27  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.26  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.25  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.24  2006/02/16 18:21:04  glen
- 1.0.2

Revision 1.23  2005/10/27 18:48:57  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.22  2005/10/05 18:31:31  glen
- rel 2

Revision 1.21  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.20  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.19  2005/09/10 10:41:50  adamg
- updated to 1.0.1

Revision 1.18  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.17  2004/10/18 21:38:06  adamg
- updated to 0.11.1

Revision 1.16  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.15  2004/05/05 21:53:19  adamg
- updated to 0.10.1

Revision 1.14  2004/03/19 22:31:49  adamg
- updated to 0.9.7

Revision 1.13  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.12  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.11  2003/09/24 08:46:27  adamg
- updated to 0.9.6

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/06/18 09:11:35  adamg
- updated to 0.9.5-pl1

Revision 1.8  2003/06/09 21:16:52  adamg
- up to 0.9.4 (stable)
- hmm, should I bump epoch, or wait till 0.9.5 comes out?

Revision 1.7  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:42  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/23 14:35:26  blues
- 0.9.3 - bugfix release, STBR to Ra updates general

Revision 1.3  2003/02/16 12:31:15  blues
- 0.9.2

Revision 1.2  2003/02/02 20:37:33  qboosh
- pl description

Revision 1.1  2003/02/01 18:31:50  blues
- initial release
